searchData={"items":[{"type":"module","title":"Holidex.Countries.Canada","doc":"Provides public holiday observances for Canadian holidays. Each province and territory in Canada has the authority to establish its own holiday schedule and observance rules.","ref":"Holidex.Countries.Canada.html"},{"type":"function","title":"Holidex.Countries.Canada.holiday/2","doc":"Retrieves holiday information for a holiday in a given year.","ref":"Holidex.Countries.Canada.html#holiday/2"},{"type":"function","title":"Parameters - Holidex.Countries.Canada.holiday/2","doc":"- `holiday_name`: The name of the holiday as an atom (e.g., `:new_years_day`)\n  - `year`: The year for which to retrieve the holiday information","ref":"Holidex.Countries.Canada.html#holiday/2-parameters"},{"type":"function","title":"Returns - Holidex.Countries.Canada.holiday/2","doc":"A `Holidex.NationalHoliday` struct containing the holiday information.","ref":"Holidex.Countries.Canada.html#holiday/2-returns"},{"type":"function","title":"Examples - Holidex.Countries.Canada.holiday/2","doc":"iex> Holidex.Countries.Canada.holiday(:canada_day, 2023)\n    %Holidex.NationalHoliday{name: \"Canada Day\", date: ~D[2023-07-01], ...}","ref":"Holidex.Countries.Canada.html#holiday/2-examples"},{"type":"function","title":"Holidex.Countries.Canada.holidays/1","doc":"","ref":"Holidex.Countries.Canada.html#holidays/1"},{"type":"function","title":"Holidex.Countries.Canada.holidays_by_region/2","doc":"","ref":"Holidex.Countries.Canada.html#holidays_by_region/2"},{"type":"function","title":"Holidex.Countries.Canada.national_to_regional/2","doc":"","ref":"Holidex.Countries.Canada.html#national_to_regional/2"},{"type":"function","title":"Holidex.Countries.Canada.region_codes/0","doc":"","ref":"Holidex.Countries.Canada.html#region_codes/0"},{"type":"function","title":"Holidex.Countries.Canada.regions/0","doc":"","ref":"Holidex.Countries.Canada.html#regions/0"},{"type":"type","title":"Holidex.Countries.Canada.holiday_name/0","doc":"An atom representing a supported holiday name.","ref":"Holidex.Countries.Canada.html#t:holiday_name/0"},{"type":"type","title":"Holidex.Countries.Canada.region_code/0","doc":"An atom representing a Province or Territory short code.","ref":"Holidex.Countries.Canada.html#t:region_code/0"},{"type":"type","title":"Holidex.Countries.Canada.year/0","doc":"","ref":"Holidex.Countries.Canada.html#t:year/0"},{"type":"module","title":"Holidex.DateCalculators.Easter","doc":"Provides calculations for Easter-related dates.","ref":"Holidex.DateCalculators.Easter.html"},{"type":"function","title":"Holidex.DateCalculators.Easter.new/1","doc":"Calculates Easter-related dates for a given year.\n\nReturns a struct containing the dates for Good Friday, Easter Sunday, and Easter Monday.","ref":"Holidex.DateCalculators.Easter.html#new/1"},{"type":"function","title":"Parameters - Holidex.DateCalculators.Easter.new/1","doc":"- `year`: The year for which to calculate Easter dates","ref":"Holidex.DateCalculators.Easter.html#new/1-parameters"},{"type":"function","title":"Examples - Holidex.DateCalculators.Easter.new/1","doc":"iex> Holidex.DateCalculators.Easter.new(2023)\n    %Holidex.DateCalculators.Easter{\n      year: 2023,\n      good_friday: ~D[2023-04-07],\n      easter_sunday: ~D[2023-04-09],\n      easter_monday: ~D[2023-04-10]\n    }","ref":"Holidex.DateCalculators.Easter.html#new/1-examples"},{"type":"type","title":"Holidex.DateCalculators.Easter.t/0","doc":"","ref":"Holidex.DateCalculators.Easter.html#t:t/0"},{"type":"module","title":"Holidex.NationalHoliday","doc":"Defines the structure of a national holiday.","ref":"Holidex.NationalHoliday.html"},{"type":"type","title":"Holidex.NationalHoliday.category/0","doc":"","ref":"Holidex.NationalHoliday.html#t:category/0"},{"type":"type","title":"Holidex.NationalHoliday.country_code/0","doc":"","ref":"Holidex.NationalHoliday.html#t:country_code/0"},{"type":"type","title":"Holidex.NationalHoliday.region/0","doc":"","ref":"Holidex.NationalHoliday.html#t:region/0"},{"type":"type","title":"Holidex.NationalHoliday.t/0","doc":"","ref":"Holidex.NationalHoliday.html#t:t/0"},{"type":"module","title":"Holidex.RegionalHoliday","doc":"Defines the structure of a regional holiday.","ref":"Holidex.RegionalHoliday.html"},{"type":"type","title":"Holidex.RegionalHoliday.category/0","doc":"","ref":"Holidex.RegionalHoliday.html#t:category/0"},{"type":"type","title":"Holidex.RegionalHoliday.country_code/0","doc":"","ref":"Holidex.RegionalHoliday.html#t:country_code/0"},{"type":"type","title":"Holidex.RegionalHoliday.region/0","doc":"","ref":"Holidex.RegionalHoliday.html#t:region/0"},{"type":"type","title":"Holidex.RegionalHoliday.t/0","doc":"","ref":"Holidex.RegionalHoliday.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}